Subject: Re: bug#43153: Add new command project-find-dir (and move binding of project-dired)

From: Dmitry Gutov <[email-masked]>
Date: Mon, 20 Sep 2021 17:33:58 +0300

On 20.09.2021 10:11, Stefan Kangas wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> Here's a quick implementation of this feature inside project-dired:
> 
> Thanks!  I don't currently have time to test it, but I'm sure it is very
> good.
> 
> Let me know if you think that testing would be useful, and I'll be glad
> to help when I can find some time.

No, it's all right. It seems functional (though it will likely be more 
sluggish with medium-large size projects), and the main caveat is 
already documented. We'll get more testing from the users, too.

>> OTOH, it might make sense to keep 'project-dired' on 'C-x p d' and move
>> project-find-dir to 'C-x p D' because the users of the latter must be
>> prepared to do more typing anyway during completion, so having to also
>> press Shift once won't hurt their efficiency much. But compatibility
>> with Projectile can be important, too.
>>
>> Cast your votes, everybody ;-)
> 
> I don't see one way as fundamentally better than the other, so IMHO it's
> better to just have the same UI as projectile.

OK, that makes sense. Easier transition, etc.